# Featured Slider

To add a new post or page in the slider on the homepage, edit the post/page you want to feature and check the **Feature in Homepage Slider** option.

[![slider](https://www.wpzoom.com/wp-content/uploads/2019/08/featured.gif)](https://www.wpzoom.com/wp-content/uploads/2019/08/featured.gif)

You can configure the slider to display **pages** instead of posts from the [Theme Options > Homepage Slideshow](admin.php?page=wpzoom_options) section.

You can also quickly mark posts as featured by going to [Posts > Homepage Slideshow](edit.php) and clicking on the star icon corresponding to the post you want to appear in the homepage slideshow. Unchecking the star icon will remove the post from featured posts.

[![feature](https://www.wpzoom.com/wp-content/uploads/2018/12/foodica-quick-feature.png)](https://www.wpzoom.com/wp-content/uploads/2018/12/foodica-quick-feature.png)

**[View more details in Documentation](https://www.wpzoom.com/documentation/foodica/foodica-configure-homepage-slider/)**

&nbsp;&nbsp;

# Sticky Posts (Large Post)

[![sticky](https://www.wpzoom.com/wp-content/uploads/2019/08/stikcy.png)](https://www.wpzoom.com/wp-content/uploads/2019/08/stikcy.png)

To make a post larger than others, and display it first in the list, just mark it as **Sticky** by checking the option **Stick this post to the front page** when you edit a post.

In WordPress 5.0 this option is located in the **Document section**:

[![sticky](https://wpzoom.com/wp-content/uploads/2018/12/Pasted_Image_08_12_2018__11_29.png)](https://wpzoom.com/wp-content/uploads/2018/12/Pasted_Image_08_12_2018__11_29.png)

**[View more details in Documentation](https://www.wpzoom.com/documentation/foodica/foodica-how-to-make-a-sticky-featured-post/)**

&nbsp;&nbsp;


# Recipe Index Page

Here are the steps to create a Recipe Index page in Foodica:

1. Create a New Page or edit an existing one from **Pages > Add New**
2. Assign one of the 3 available **Recipe Index** Page Templates to the new page.

[![sticky](https://wpzoom.com/wp-content/uploads/2015/06/Add_New_Page_%E2%80%B9_Foodica_%E2%80%94_WordPress.png)](https://wpzoom.com/wp-content/uploads/2015/06/Add_New_Page_%E2%80%B9_Foodica_%E2%80%94_WordPress.png)

Recipe Index page has its own **Sidebar**, so in order to show widgets on the right, make sure to add your widgets in the **Recipe Index Sidebar** area on the Widgets page or using the Customizer:

[![index-widgets](https://www.wpzoom.com/wp-content/uploads/2019/08/recipe-index-widgets.png)](https://www.wpzoom.com/wp-content/uploads/2019/08/recipe-index-widgets.png)

For more options for **Recipe Index** pages, see [Theme Options > Recipe Index Settings](admin.php?page=wpzoom_options)

**[View more details in Documentation](https://www.wpzoom.com/documentation/foodica/foodica-recipe-index-page/)**

&nbsp;&nbsp;


# Mobile Menu

Foodica displays only 1 menu on Mobile devices, in order to prevent having 2 hamburger menus (3 lines) on these devices.

This means that you can easily assign an existing menu (e.g. Main menu) as your **Mobile menu**, or create a separate menu which combines links from both Top and Main menus.

From the page **Menus > Manage Locations** select an existing menu for the location named **Mobile Menu**:

[![index-widgets](https://wpzoom.com/wp-content/uploads/2015/06/Menus_%E2%80%B9_Foodica_%E2%80%94_WordPress.png)](https://wpzoom.com/wp-content/uploads/2015/06/Menus_%E2%80%B9_Foodica_%E2%80%94_WordPress.png)
*Click on image to enlarge*

&nbsp;&nbsp;


# Quick Tips

## How to Upload my Logo?

You can upload your custom logo image in the **Customizer > Site Identity**.

---

## How to change the number of posts per page?

You can change the number of posts per page from **[Settings > Reading](options-general.php)**. We recommend to set a number like 6 or 9 for best results.

---


## How to enable the eCommerce (Shop) functionality?

Our theme fully supports the most popular eCommerce plugin for WordPress - [WooCommerce](https://wordpress.org/plugins/woocommerce/). You will have to install and activate it in order to enable the Shop page.

---

### How to Create a Contact Form?

You can create a Contact Form easily by using the free plugin [WPForms](https://wordpress.org/plugins/wpforms-lite/). If you need to create advanced forms or need more features, check out [WPForms Premium](http://wpzoom.com/go/wpforms).

&nbsp;&nbsp;


# Documentation

For full theme Documentation please visit our website:
* **[Reel Documentation](https://www.wpzoom.com/documentation/foodica/)**
* **[Knowledge Base](https://www.wpzoom.com/docs/)**


# Need Support?

Need one-to-one assistance with your theme? Get in touch with our Support team and we'd love the opportunity to help you.

**[Open a New Support Ticket](https://www.wpzoom.com/support/tickets/create/)**
